Name: majordomo
Version: 1.94.4
Release: 1C2
Summary: majordomo mailing list manager
Copyright: Great Circle Associates
Group: Applications/Mail
Requires: shadow-utils
Source: www.greatcircle.com/1.94.4/majordomo-1.94.4.tar.gz
Patch1: majordomo-1.94.4-cobalt.patch
Patch2: majordomo-1.94.4-cobalt2.patch
BuildRoot: /var/tmp/majordomo
Prereq: /usr/sbin/useradd

%changelog

* Fri Dec 4 1998 Sridhar Gopal <gsri@cobaltnet.com>
  - change permissions for LISTDIR from 0775 to 0755
  - eat up diagnostic outputs

* Tue Oct 20 1998 Sridhar Gopal <gsri@cobaltnet.com>
  - Automate installation.

%description 
Majordomo is a program which automates the management of Internet mailing
lists. Commands are sent to Majordomo via electronic mail to handle all
aspects of list maintainance. Once a list is set up, virtually all operations
can be performed remotely, requiring no intervention upon the postmaster of
the list site. 

Majordomo controls a list of addresses for some mail transport system (like
sendmail or smail) to handle.  Majordomo itself performs no mail delivery
(though it has scripts to format and archive messages). 

This package includes release notes, the majordomo FAQ, and Brent Chapman's
USENIX paper on majordomo.

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
make wrapper

%pre
U=admin
G=daemon
M=majordomo
HD=/usr/local/majordomo

%install
U=admin
G=daemon
M=majordomo
HD=/usr/local/majordomo
mkdir -p $RPM_BUILD_ROOT/etc
cp /etc/group $RPM_BUILD_ROOT/etc/group.old 	# save groupies for later

# verify that user admin exists; if not, create one
if ! /usr/bin/id $U >/dev/null
then
    /usr/sbin/useradd admin
fi
if /usr/bin/id -n -G $U | /bin/egrep -vwq $G
then
    /usr/sbin/usermod -G "`/usr/bin/id -n -G $U|/bin/sed -e 's/ /,/g'`,$G" $U
fi

# create "home" directory
mkdir -p $HD
chown $U.$G $HD
chmod 751 $HD
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man8

su $U -c "make install"
make MAN=$RPM_BUILD_ROOT/usr/man install-man install-wrapper
cp /etc/sendmail.cf $RPM_BUILD_ROOT/etc/sendmail.cf.old
cat <<END > $RPM_BUILD_ROOT/sed.script
/^O AliasFile=\/etc\/aliases\$/a\\
O AliasFile=\/etc\/aliases.majordomo
END
sed -f $RPM_BUILD_ROOT/sed.script $RPM_BUILD_ROOT/etc/sendmail.cf.old > /etc/sendmail.cf
rm $RPM_BUILD_ROOT/sed.script
cp /etc/sendmail.cf $RPM_BUILD_ROOT/etc/sendmail.cf
/usr/bin/newaliases >/dev/null
echo no | su - $U -c "cd $HD; ./wrapper config-test"
# fix perm for the lists directory...sendmail does not like 770!
chmod 755 $HD/lists
su - $U -c "cd $HD; touch lists/test"
echo lists | mail $M
sleep 5 # give a chance for $M to send a response
su - $U -c "cd $HD; rm -f lists/test lists/test.config"

mv /etc/aliases.majordomo $RPM_BUILD_ROOT/etc/aliases.majordomo
mv /etc/aliases.majordomo.db $RPM_BUILD_ROOT/etc/aliases.majordomo.db
mv $RPM_BUILD_ROOT/etc/group.old /etc/group
mv $RPM_BUILD_ROOT/etc/sendmail.cf.old /etc/sendmail.cf
/usr/bin/newaliases >/dev/null
cp post-install $HD
find $HD | cpio -pd $RPM_BUILD_ROOT
chown -R root.root $RPM_BUILD_ROOT
rm -fr $HD

%post
## the following must have been run from %post in the rpm spec file
#U=admin
#G=daemon
#M=majordomo
#HD=/usr/local/majordomo
#
## verify that user admin exists; if not, create one
#if ! /usr/bin/id $U >/dev/null
#then
#    /usr/sbin/useradd admin
#fi

## setup user admin.daemon and create "home" dir
#if /usr/bin/id -n -G $U | /bin/egrep -vwq $G
#then
#    /usr/sbin/usermod -G "`/usr/bin/id -n -G $U|/bin/sed -e 's/ /,/g'`,$G" $U
#fi
#chown -R $U.$G $HD
#chown root.daemon $HD/wrapper
#chown $U.$G /etc/aliases.majordomo
#chmod 04755 $HD/wrapper
#
## update sendmail
#cp /etc/sendmail.cf /var/tmp/sendmail.cf
#cat <<END > /var/tmp/sed.script
#/^O AliasFile=\/etc\/aliases\$/a\\
#O AliasFile=\/etc\/aliases.majordomo
#END
#
#sed -f /var/tmp/sed.script /var/tmp/sendmail.cf > /etc/sendmail.cf
#rm -f /var/tmp/sendmail.cf
#/usr/bin/newaliases >/dev/null
##/usr/bin/killall -HUP sendmail

%clean
U=admin
G=daemon
M=majordomo
HD=/usr/local/majordomo
rm -rf $RPM_BUILD_ROOT

%postun
U=admin
G=daemon
M=majordomo
HD=/usr/local/majordomo
rm -rf $HD
rm -f /etc/aliases.majordomo
cp /etc/sendmail.cf /var/tmp/sendmail.cf
sed -e '/^O AliasFile=\/etc\/aliases.majordomo$/d' \
	/var/tmp/sendmail.cf > /etc/sendmail.cf
/usr/bin/newaliases >/dev/null

%files
/usr/local/majordomo
/etc/aliases.majordomo.db
%config /etc/aliases.majordomo
/usr/man/man1/approve.1
/usr/man/man1/digest.1
/usr/man/man1/bounce.1
/usr/man/man1/bounce-remind.1
/usr/man/man1/resend.1
/usr/man/man8/majordomo.8
